Name:           guiloader-c++
Version:        2.8.0
Release:        2%{?dist}
Summary:        C++ Binding to GuiLoader Library

Group:          System Environment/Libraries
License:        GPL
URL:            http://gideon.sourceforge.net
Source0:        http://dl.sourceforge.net/gideon/%{name}-%{version}.tar.bz2
Patch0:         guiloader-c++-2.8.0-soversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  guiloader-devel >= 2.8.0
BuildRequires:  gtkmm24-devel >= 2.8.0


%description
GuiLoader/C++ is a C++ binding to GuiLoader library. It is a
convenience layer that simplifies development of GuiLoader based
applications written in C++ language by introducing exception safety,
binding GTK+ objects defined in GuiXml to C++ variables and type-safe
dynamic connection to signals.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       guiloader-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing %{name}
applications.


%prep
%setup -q
%patch0 -p1 -b .soversion


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_libdir}/libguiloader*.so.*


%files devel
%defattr(-, root, root, -)
%doc NEWS
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Oct  6 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-2
- Added pkgconfig devel Requires

* Sun Sep  3 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- First version

